
Ryzom - Feature # 929

Status: Closed Priority: Immediate
Author: kaetemi Category: Tools: General
Created: 05/23/2010 Assignee: kaetemi
Subject: Rewrite of the gamedata build pipeline
Description

Complete the rewrite of the gamedata build pipeline.

I have half of a working NeL gamedata build pipeline ready in Python, which has successfully built a landscape for NeL, and has some
of the other processes running as well. Needs to be updated to support landscape made with the world editor.

History
#1 - 05/23/2010 11:01 pm - kaetemi
- Priority changed from Normal to Immediate

#2 - 05/25/2010 12:11 am - kaetemi
- % Done changed from 40 to 50

Fully working: 6 / 26 build processes.
Partially running: 15 / 26 build processes.
Not implemented yet: 5 / 26 build processes.
Progress: Halfway.

Issues:
- I'm missing the original .bank files: http://dev.ryzom.com/issues/931
- Some 3ds Max assets use a proprietary Ubisoft plugin called Map Extender for texturing, and cannot be exported.

#3 - 05/27/2010 11:24 pm - kaetemi
- Due date changed from 05/24/2010 to 05/28/2010
- % Done changed from 50 to 70

Missing files for proper build of newbieland (folders might be slightly different):
- W:/database/landscape/ligo/jungle/max/*.max (exports to .zone, .ig and .cmb i believe; the data with world edit only contains the .zone)
- W:/database/landscape/_texture_tiles/jungle/jungle.bank (smallbank cannot be used to paint, only usable for runtime display)
- W:/database/landscape/ligo/jungle/big_newbieland.tga
- W:/database/landscape/ligo/jungle/noise_newbieland.tga
- W:/database/landscape/ligo/jungle/colormap_newbieland.tga

#4 - 05/28/2010 11:21 pm - kaetemi
- % Done changed from 70 to 80

There's still an issue with the transition tiles, possibly due to being in png format.
http://dev.ryzom.com/issues/931


Todo:
Fix issue with transition tiles.
Package the max files that are part of newbieland landscape.
Build rbank and igs.

Further todo:
Common data pipeline configurations, characters and sfx, etc.

Documentation coming soon.

#5 - 06/07/2010 07:58 am - kaetemi
- Due date changed from 05/28/2010 to 06/10/2010
- % Done changed from 80 to 90
- Estimated time changed from 24.00 to 240.00

Ig build and lighting still needs to be added in.
And then further missing bits and pieces, and the projects for building the common data.

#6 - 09/19/2010 11:35 pm - kaetemi
- Status changed from Assigned to Resolved
- % Done changed from 90 to 100

Applied in changeset r782.

#7 - 09/20/2010 12:32 am - kaetemi

Note: The build pipeline at the moment is stable for development usage only, the output is not yet considered stable or reliable for final release
purposes.

#8 - 01/08/2011 06:52 pm - kervala
- Status changed from Resolved to Closed
